package org.pmmik.dao;

import java.io.Serializable;

// T: az entitás osztály típusa, PK a primary key típusa
public interface Dao<T, PK extends Serializable> {

    public void create(T t);

    public T read(PK id);

    public void update(T t);

    public void delete(T t);
}
