package org.pmmik.dao;

import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.Query;
import org.pmmik.pojo.Phone;
import org.pmmik.pojo.Student;

public class PhoneDao extends AbstractDao<Phone, Integer> {

    public PhoneDao(EntityManager entityManager) {
        super(entityManager);
    }

    public List<Phone> listAllPhone() {
        return super.listAll(Phone.TABLE_NAME);
    }

    public Phone listOne(String phoneNumber) {

        String sqlCommand = String.format("select p from Phone p where p.phone_number = '%s'", phoneNumber);
        Query q = this.getEntityManager().createQuery(sqlCommand);

        try {
            return (Phone) q.getSingleResult();
        } catch (Exception e) {
            return null;
        }
    }

    public Student phoneOwner(String phoneNumber) {
        Phone phone = listOne(phoneNumber);
        return phone.getOwner();
    }
}
