package org.pmmik.dao;

import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.Query;
import org.pmmik.pojo.Phone;
import org.pmmik.pojo.Student;

public class StudentDao extends AbstractDao<Student, Integer> {

    public StudentDao(EntityManager entityManager) {
        super(entityManager);
    }

    public List<Student> listAllStudent() {
        return super.listAll(Student.TABLE_NAME);
    }

    public Student listOne(String eha) {

//		String sqlCommand = "select s from Student s where s.eha = '" + eha + "'"; 
        String sqlCommand = String.format("select s from Student s where s.eha = '%s'", eha);
        Query q = this.getEntityManager().createQuery(sqlCommand);

        try {
            return (Student) q.getSingleResult();
        } catch (Exception e) {
            return null;
        }
    }

    public List<Phone> listStudentPhones(String eha) {
        List<Phone> phones = null; 
        Student student = listOne(eha);
        if(student != null) {
            phones = student.getPhones();
        }
        return phones;
    }
}
